> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Frontend Get Enabled Features

GET https://edge.unleash-instance.example.com/api/frontend

Reference: https://docs.getunleash.io/api/frontend-get-enabled-features

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Query parameters

- `userId` (string, optional)
- `sessionId` (string, optional)
- `environment` (string, optional)
- `appName` (string, optional)
- `currentTime` (string, optional)
- `remoteAddress` (string, optional)
- `properties` (ApiFrontendGetParameters, required)

## Response

### 200

Return enabled feature toggles for this token in evaluated state

- `toggles` (list of EvaluatedToggle, required)

## Errors

### 403 Forbidden Error

Was not allowed to access features

- `any`

## Types

### ApiFrontendGetParameters

### EvaluatedToggle

- `enabled` (boolean, required)
- `impressionData` (boolean, required)
- `impression_data` (boolean, required)
- `name` (string, required)
- `variant` (EvaluatedVariant, required)

### EvaluatedVariant

- `enabled` (boolean, required)
- `name` (string, required)
- `payload` (Payload, optional, nullable)

### Payload

- `type` (string, required)
- `value` (string, required)

## Examples

**Response**

```json
{
  "toggles": [
    {
      "enabled": true,
      "impressionData": true,
      "impression_data": true,
      "name": "string",
      "variant": {
        "enabled": true,
        "name": "string",
        "payload": null
      }
    }
  ]
}
```

**SDK Code**

```javascript JavaScript SDK
import { UnleashClient } from 'unleash-proxy-client';

const unleash = new UnleashClient({
    url: 'https://edge.unleash-instance.example.com/api/frontend',
    clientKey: '<your-frontend-token>',
    appName: 'my-app',
});

unleash.start();

// The SDK fetches evaluated feature flags for the current
// context from this endpoint and refreshes them in the
// background.
unleash.on('ready', () => {
  const enabled = unleash.isEnabled('my-feature');
});

```

```swift iOS SDK
import UnleashProxyClientSwift

var unleash = UnleashProxyClientSwift.UnleashClient(
    unleashUrl: "https://edge.unleash-instance.example.com/api/frontend",
    clientKey: "<your-frontend-token>",
    refreshInterval: 15,
    appName: "my-app"
)

unleash.start()

// The SDK fetches evaluated feature flags for the current
// context from this endpoint and refreshes them in the
// background.
let enabled = unleash.isEnabled(name: "my-feature")

```

```kotlin Android SDK
val unleash = DefaultUnleash(
    androidContext = applicationContext,
    unleashConfig = UnleashConfig.newBuilder(appName = "my-app")
        .proxyUrl("https://edge.unleash-instance.example.com/api/frontend")
        .clientKey("<your-frontend-token>")
        .build()
)

unleash.start()

// The SDK fetches evaluated feature flags for the current
// context from this endpoint and refreshes them in the
// background.
val enabled = unleash.isEnabled("my-feature")

```

```dart Flutter SDK
import 'package:unleash_proxy_client_flutter/unleash_proxy_client_flutter.dart';

final unleash = UnleashClient(
    url: Uri.parse('https://edge.unleash-instance.example.com/api/frontend'),
    clientKey: '<your-frontend-token>',
    appName: 'my-app');

unleash.start();

// The SDK fetches evaluated feature flags for the current
// context from this endpoint and refreshes them in the
// background.
final enabled = unleash.isEnabled('my-feature');

```

```python
import requests

url = "https://edge.unleash-instance.example.com/api/frontend"

querystring = {"properties":"{}"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://edge.unleash-instance.example.com/api/frontend?properties=%7B%7D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://edge.unleash-instance.example.com/api/frontend?properties=%7B%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://edge.unleash-instance.example.com/api/frontend?properties=%7B%7D")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://edge.unleash-instance.example.com/api/frontend?properties=%7B%7D', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://edge.unleash-instance.example.com/api/frontend?properties=%7B%7D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```